Bug 12689 - Search.t fails to run on Squeeze
Summary: Search.t fails to run on Squeeze
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P3 blocker (vote)
Target Milestone: Oldversions
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 12443
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-01 00:08 UTC by Robin Sheat
Modified: 2018-12-16 19:32 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2014-08-01 00:08:52 UTC
# t/Search.t
1..3
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
unable to locate Koha configuration file koha-conf.xml at C4/Context.pm line 373.
ok 1 - use C4::Search;
ok 2 - C4::Search->can('_build_initial_query')
String found where operator expected at t/Search.t line 28, near "subtest "_build_initial_query tests""
	(Do you need to predeclare subtest?)
syntax error at t/Search.t line 28, near "subtest "_build_initial_query tests""
syntax error at t/Search.t line 158, near "}"
Execution of t/Search.t aborted due to compilation errors.
# Looks like you planned 3 tests but ran 2.
# Looks like your test exited with 255 just after 2.



# perl -MTest::More -e 'print $Test::More::VERSION . "\n"'
0.92

This construct works on higher versions of Test::More, but we don't have that luxury in squeeze.

t/db_dependent/Items.t fails in a similar way:

ok 1 - use C4::Items;
String found where operator expected at t/db_dependent/Items.t line 34, near "subtest 'General Add, Get and Del tests'"
	(Do you need to predeclare subtest?)
String found where operator expected at t/db_dependent/Items.t line 68, near "subtest 'GetHiddenItemnumbers tests'"
	(Do you need to predeclare subtest?)
String found where operator expected at t/db_dependent/Items.t line 146, near "subtest 'GetItemsInfo tests'"
	(Do you need to predeclare subtest?)
"my" variable $biblionumber masks earlier declaration in same scope at t/db_dependent/Items.t line 158.
"my" variable $item_bibnum masks earlier declaration in same scope at t/db_dependent/Items.t line 160.
"my" variable $item_bibitemnum masks earlier declaration in same scope at t/db_dependent/Items.t line 160.
"my" variable $itemnumber masks earlier declaration in same scope at t/db_dependent/Items.t line 160.
syntax error at t/db_dependent/Items.t line 34, near "subtest 'General Add, Get and Del tests'"
syntax error at t/db_dependent/Items.t line 66, near "}"
syntax error at t/db_dependent/Items.t line 144, near "}"
syntax error at t/db_dependent/Items.t line 182, near "}"
syntax error at t/db_dependent/Items.t line 218, near "}"
Execution of t/db_dependent/Items.t aborted due to compilation errors.
Comment 1 Robin Sheat 2014-10-23 23:11:32 UTC
Added a newer version of Test::Simple to the repo which fixes this.